<?php 
		header("Access-Control-Allow-Origin: *");
		header("Access-Control-Allow-Headers: access");
		header("Access-Control-Allow-Methods: GET");
		header("Access-Control-Allow-Credentials: true");
		header("Content-Type: application/json; charset=UTF-8");
		
		

include_once '../Database.php';
include_once 'metodos.php';

$database = new DataBase();
$db = $database->getConnection();

$metodo = new Metodos($db);
try{
	$metodoid = isset($_GET['id'])?$_GET['id']:die();
	
	$query = "UPDATE metodos SET estado = !estado WHERE id=:id";
	$stm = $metodo->conn->prepare($query);
	$stm->bindParam(":id",$metodoid);
	$stmt = $metodo->Update($stm);
	if($stmt !==false){
		echo json_encode(array("Mensaje"=>"El estado se ha Actualizado"));
	}else{
		echo json_encode(array("Error"=>"No se ha podido actualizar el campo"));
	}
}catch(Exception $ex){
	echo json_encode(array("Error"=>"No se ha podido procesar la solicitud"));
}

?>